Skip to content

FinrepService⁠

Manage Current Transaction Report (CTR) records.

Operations⁠

updateCtrAccountByID⁠

POST

Updates a CTR account by its ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrAccountLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/finrep/updateCtrAccountByID
POST /nexum/627/persistent/finrep/updateCtrAccountByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrAccountLocator": 0,
  "CtrAccountFields": {
    "AccountNumber": "string",
    "LastFmDate": "string",
    "Locator": 0,
    "RecordChangeDate": "string",
    "SlId": "string",
    "SlIdType": 0,
    "Source": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateCtrBranchByID⁠

POST

Updates a CTR branch by its ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrBranchLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/finrep/updateCtrBranchByID
POST /nexum/627/persistent/finrep/updateCtrBranchByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrBranchLocator": 0,
  "CtrBranchFields": {
    "Address": "string",
    "CashinLocation": 0,
    "CashoutLocation": 0,
    "City": "string",
    "CountryCode": "string",
    "Ein": "string",
    "Id": 0,
    "LastFmDate": "string",
    "Locator": 0,
    "Name": "string",
    "RecordChangeDate": "string",
    "State": "string",
    "Type": 0,
    "ZipCode": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateCtrForeignByID⁠

POST

Updates a foreign CTR by its ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrForeignLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/finrep/updateCtrForeignByID
POST /nexum/627/persistent/finrep/updateCtrForeignByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrForeignLocator": 0,
  "CtrForeignFields": {
    "Cashin": 0,
    "Cashout": 0,
    "CountryCode": "string",
    "LastFmDate": "string",
    "Locator": 0,
    "RecordChangeDate": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateCtrNoteByID⁠

POST

Updates a CTR note by its ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrNoteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/finrep/updateCtrNoteByID
POST /nexum/627/persistent/finrep/updateCtrNoteByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrNoteLocator": 0,
  "CtrNoteFields": {
    "Code": 0,
    "EnterDate": "string",
    "EnterTime": 0,
    "ExpirationDate": "string",
    "Id": "string",
    "IdType": 0,
    "Locator": 0,
    "RecordChangeDate": "string",
    "Text": [
      {
        "EntryId": 0,
        "Text": "string"
      }
    ],
    "TextLineCount": 0,
    "UserId": 0,
    "VoidFlag": 0,
    "VoidedBy": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateCtrPersonByID⁠

POST

Updates an individual involved in CTRs by their ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrPersonLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/finrep/updateCtrPersonByID
POST /nexum/627/persistent/finrep/updateCtrPersonByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrPersonLocator": 0,
  "CtrPersonFields": {
    "Address": "string",
    "BirthDate": "string",
    "Cashin": 0,
    "Cashout": 0,
    "City": "string",
    "CountryCode": "string",
    "DbaFirst": "string",
    "DbaLast": "string",
    "DbaLongName": "string",
    "DbaMiddle": "string",
    "DbaShortName": "string",
    "DbaSuffix": "string",
    "Email": "string",
    "EntityFlag": 0,
    "First": "string",
    "Gender": "string",
    "Headquarters": 0,
    "IdIssueByCountry": "string",
    "IdIssueByState": "string",
    "IdNumber": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateCtrPersonCtrTranInfoByID⁠

POST

Updates CTR transaction information for individuals by their ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrPersonLocatorintegeroptional
CtrPersonCtrTranInfoLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/finrep/updateCtrPersonCtrTranInfoByID
POST /nexum/627/persistent/finrep/updateCtrPersonCtrTranInfoByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrPersonLocator": 0,
  "CtrPersonCtrTranInfoLocator": 0,
  "CtrPersonCtrTranInfoFields": {
    "AccountNumber": "string",
    "Amount": 0,
    "LastFmDate": "string",
    "Locator": 0,
    "RecordChangeDate": "string",
    "SlId": "string",
    "SlIdType": 0,
    "Source": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}